//
//	FindinSite-CD-JS-HelpIndex database adabasreview
//
//	Copyright (c) 2016-2022 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA
//
var adabasreview = {
    baseurls: ["../"],
    varname: "adabasreview",
        tree: [
            { url: "about/about.htm", title: "About this Documentation",
              tree: [
                  { url: "about/document_conventions.htm", title: "Document Conventions" },
                  { url: "about/online_information.htm", title: "Online Information and Support" },
                  { url: "about/data_protection.htm", title: "Data Protection" },
              ]
            },
            { url: "concepts/rev_conc.htm", title: "Concepts and Facilities",
              tree: [
                  { url: "concepts/sumfeat.htm", title: "Summary of Features" },
                  { url: "concepts/intro.htm", title: "Adabas Review Processing and Components" },
                  { url: "concepts/aboutrpt.htm", title: "About Adabas Review Reports" },
                  { url: "concepts/clientmon.htm", title: "About Adabas Review Client Reporting" },
                  { url: "concepts/disp_prog_sagedit.htm", title: "Display Programs Using Software AG Editor" },
                  { url: "concepts/optimize.htm", title: "Integration with webMethods Optimize for Infrastructure" },
                  { url: "concepts/getstart.htm", title: "Getting Started" },
                  { url: "concepts/costex.htm", title: "Cost Accounting Example" },
              ]
            },
            { url: "relnotes/relnotes.htm", title: "Adabas Review 5.2 Release Notes",
              tree: [
                  { url: "relnotes/platform.htm", title: "Supported Operating System Platforms" },
                  { url: "relnotes/enhance.htm", title: "Enhancements" },
                  { url: "relnotes/migrate.htm", title: "Migration from Previous Versions" },
                  { url: "relnotes/future.htm", title: "Plans for Future Versions" },
                  { url: "relnotes/sagprod.htm", title: "Software AG Product Support and Requirements" },
                  { url: "relnotes/zapopt.htm", title: "Applying Maintenance" },
                  { url: "relnotes/eom.htm", title: "End of Maintenance" },
                  { url: "relnotes/doc.htm", title: "Documentation and Other Online Information" },
              ]
            },
            { url: "inst_zos/zosover.htm", title: "Installation and Operations for z/OS",
              tree: [
                  { url: "inst_zos/conv.htm", title: "Conventions" },
                  { url: "inst_zos/revimpre.htm", title: "Preparing for the Installation" },
                  { url: "inst_zos/revim_p1.htm", title: "Installation: Phase 1" },
                  { url: "inst_zos/revim_p2.htm", title: "Installation: Phase 2" },
                  { url: "inst_zos/install-rev-ziip.htm", title: "Installing Adabas Review for zIIP" },
                  { url: "inst_zos/revimbeg.htm", title: "Starting Adabas Review" },
                  { url: "inst_zos/revim_op.htm", title: "Operations" },
                  { url: "inst_zos/revimhub.htm", title: "Operator Commands (Hub Mode Only)" },
              ]
            },
            { url: "ref/refov.htm", title: "Adabas Review Reference",
              tree: [
                  { url: "ref/commands.htm", title: "Command Reference" },
                  { url: "ref/fldrefov.htm", title: "Field Reference" },
                  { url: "ref/rptov.htm", title: "Supplied Report Reference" },
                  { url: "ref/sumrec.htm", title: "Summary Record Layout" },
                  { url: "ref/userexit.htm", title: "User Exit Reference" },
                  { url: "ref/adarun.htm", title: "ADARUN Parameters for Adabas Review" },
              ]
            },
            { url: "messages/messover.htm", title: "Messages and Codes",
              tree: [
                  { url: "messages/ACLX.htm", title: "ACLX* - Adabas Review Interface Messages" },
                  { url: "messages/ADAK.htm", title: "ADAK* System Messages" },
                  { url: "messages/ADAQ.htm", title: "ADAQ* - Adabas Review Hub Messages" },
                  { url: "messages/AREV.htm", title: "AREV* - Adabas Review Hub Messages" },
                  { url: "messages/ARMT.htm", title: "ARMT* - Adabas Review Interface Messages" },
                  { url: "messages/ARST.htm", title: "ARST* - Adabas Review Interface Messages" },
                  { url: "messages/ARVU.htm", title: "ARVU* - Adabas Review Interface Messages" },
                  { url: "messages/LNKRVX.htm", title: "LNKRVX* Adabas Review Link Routine Messages" },
                  { url: "messages/review00.htm", title: "Adabas Review 00xxx Messages" },
                  { url: "messages/review20.htm", title: "Adabas Review 20xxx Messages" },
                  { url: "messages/REVH.htm", title: "REVH* - Adabas Review Hub Messages" },
                  { url: "messages/RTP.htm", title: "RTP* - Adabas Review Trans-port Messages" },
                  { url: "messages/RVCALL.htm", title: "RVCALL* - Adabas Review RVCALL API Messages" },
                  { url: "messages/RVCL.htm", title: "RVCL* - Adabas Review Batch Client Reporting (REVCLRP) Messages" },
                  { url: "messages/nucresp.htm", title: "Adabas Response Codes" },
              ]
            },
            { url: "user/revu_ov.htm", title: "Using Adabas Review",
              tree: [
                  { url: "user/rptdef.htm", title: "Maintaining Report Definitions" },
                  { url: "user/disppgm.htm", title: "Maintaining Display Programs" },
                  { url: "user/rptopt.htm", title: "Specifying Reporting Options" },
                  { url: "user/rptrun.htm", title: "Running Reports Online" },
                  { url: "user/batch.htm", title: "Running Reports as Batch Jobs" },
                  { url: "user/autostart.htm", title: "Running Autostarted Reports" },
                  { url: "user/batchnat.htm", title: "Using Adabas Review in Batch Natural" },
                  { url: "user/rptoutp.htm", title: "Managing Started or Scheduled Report Output" },
                  { url: "user/histdata.htm", title: "Managing History Data" },
              ]
            },
            { url: "admin/adminover.htm", title: "Administrative Functions",
              tree: [
                  { url: "admin/userprofs.htm", title: "Maintaining User Profiles" },
                  { url: "admin/svclists.htm", title: "Displaying SVC Lists and Target Objects" },
                  { url: "admin/usrflds.htm", title: "Defining Adabas Review User Fields" },
                  { url: "admin/clientmon.htm", title: "Managing Client Reporting" },
                  { url: "admin/rvcall.htm", title: "Performing Adabas Review Online Functions from Natural Programs" },
              ]
            },
            { url: "ziip/ziip-over.htm", title: "Adabas Review for zIIP",
              tree: [
                  { url: "ziip/azp_prereq.htm", title: "Prerequisites" },
                  { url: "ziip/azp_limit.htm", title: "Current Limitations" },
                  { url: "ziip/azp_general.htm", title: "General Information on zIIP Processing" },
                  { url: "ziip/azp_processing.htm", title: "Adabas Review for zIIP Processing: Concepts" },
                  { url: "ziip/azp_monitor.htm", title: "Monitoring zIIP Usage" },
              ]
            },
            { url: "general/legal.htm", title: "Copyright" },
        ]
};

var mainProject = 1;

$.event.trigger({ type: "fishidbloaded", db: adabasreview });
